Bug 699728 - vmps does not release its terminal on startup
Summary: vmps does not release its terminal on startup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: vmpsd
Version: el5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Coe
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-26 13:36 UTC by Arnaud Gomes-do-Vale
Modified: 2011-05-18 19:59 UTC (History)
1 user (show)

Fixed In Version: vmpsd-1.4.03-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-09 04:07:03 UTC


Attachments (Terms of Use)
Patch to solve the issue. (808 bytes, patch)
2011-04-26 13:36 UTC, Arnaud Gomes-do-Vale
no flags Details | Diff

Description Arnaud Gomes-do-Vale 2011-04-26 13:36:15 UTC
Description of problem:

vmpsd does not close its file descriptors on startup. The daemon starts correctly, but commands like "ssh root@vmpshost /sbin/service vmpsd restart" or "func vmpshost call command run '/sbin/service vmpsd restart'" just hang after restarting it.


Version-Release number of selected component (if applicable):

vmpsd-1.4.01-6.el5.x86_64


How reproducible:

Always.


Steps to Reproduce:
1. func vmpshost call command run '/sbin/service vmpsd restart'

  
Actual results:

Wait forever.


Expected results:

('vmpshost',
 [0,
  'Shutting down VLAN Management Policy Server (vmpsd): [  OK  ]\nStarting VLAN Management Policy Server (vmpsd): [  OK  ]\n',
  ''])


Additional info:

I have submitted a patch upstream long ago, it is still not in the latest release.

Comment 1 Arnaud Gomes-do-Vale 2011-04-26 13:36:47 UTC
Created attachment 494903 [details]
Patch to solve the issue.

Comment 2 Arnaud Gomes-do-Vale 2011-04-26 13:37:21 UTC
Here is the upstream bug: http://sourceforge.net/tracker/?func=detail&aid=2801648&group_id=47375&atid=449286

Comment 3 Colin Coe 2011-05-01 13:15:10 UTC
The OpenVMPS author (Dori Seliškar) has kindly released an update to address this.
 
http://sourceforge.net/projects/vmps/files/vmpsd/1.4.03/vmpsd-1.4.03.tar.gz/download

Please test and advise if this patch fixes the problems you saw.

Thanks

CC

Comment 4 Arnaud Gomes-do-Vale 2011-05-02 09:49:00 UTC
Yes, the new version fixes the issue. Thanks!

Comment 5 Fedora Update System 2011-05-02 12:09:23 UTC
vmpsd-1.4.03-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/vmpsd-1.4.03-1.el5

Comment 6 Fedora Update System 2011-05-02 12:09:39 UTC
vmpsd-1.4.03-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/vmpsd-1.4.03-1.fc14

Comment 7 Fedora Update System 2011-05-02 12:09:58 UTC
vmpsd-1.4.03-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/vmpsd-1.4.03-1.el6

Comment 8 Fedora Update System 2011-05-02 12:10:16 UTC
vmpsd-1.4.03-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/vmpsd-1.4.03-1.fc15

Comment 9 Fedora Update System 2011-05-02 12:10:33 UTC
vmpsd-1.4.03-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/vmpsd-1.4.03-1.fc13

Comment 10 Colin Coe 2011-05-02 12:17:19 UTC
The updated/fixed version of vmpsd should appear in EPEL testing soon.

Many thanks for reporting the problem.

Comment 11 Fedora Update System 2011-05-02 21:28:24 UTC
Package vmpsd-1.4.03-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing vmpsd-1.4.03-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/vmpsd-1.4.03-1.el5
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2011-05-09 04:06:49 UTC
vmpsd-1.4.03-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-05-10 21:17:25 UTC
vmpsd-1.4.03-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-05-10 21:20:18 UTC
vmpsd-1.4.03-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-05-18 19:57:55 UTC
vmpsd-1.4.03-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-05-18 19:59:20 UTC
vmpsd-1.4.03-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.